### Function

# Qmi message_wds_get_channel_rates_response_parse

since: 1.34

#### Declaration [src]

    QmiMessageWdsGetChannelRatesOutput*
    qmi_message_wds_get_channel_rates_response_parse (
      QmiMessage* message,
      GError** error
    )

#### Description [src]

Parses a `QmiMessage` and builds a `QmiMessageWdsGetChannelRatesOutput` out of it. The operation fails if the message is of the wrong type.

Available since: 1.34

#### Parameters

`message`

  Type: `QmiMessage`

  A `QmiMessage`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `QmiMessageWdsGetChannelRatesOutput`

A `QmiMessageWdsGetChannelRatesOutput`, or `NULL` if `error` is set. The returned value should be freed with qmi_message_wds_get_channel_rates_output_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.